port 10000 open but no connection with Virtualmin?

nmap shows:

10000/tcp open snet-sensor-mgmt

There were several install errors at the beginning about getting
daily-9451.cdiff Otherwise all went well with the script install on a fresh distro of Centos 5.3 final.

I have already hinstalled Virtualmin on one server and am now doing the exact same steps on another and having this problem. Funny that nmap shows an open socket with a management device attached and yet I cannot connect via the https:xxxxxx:10000 port.

Thanks to all who respond, Techmen

Do you see anything in the Webmin logs, in /var/webmin/miniserv.error?

Also, do you see the miniserv process running?

What does this command show: netstat -an | grep :10000

Lastly, if you received errors during installation, we may need to take a peek at those in order to assist – so if you don’t see anything unusual with the above commands, you’ll probably need to post your install log, available in /root/virtualmin-install.log.

-Eric

Hi Eric, Thanks so much for responding. Here is the data you requested.

netstat -an | grep :10000
tcp 0 0 0.0.0.0:10000 0.0.0.0:* LISTEN
udp 0 0 0.0.0.0:10000 0.0.0.0:*

it looks like

[06/Oct/2009:13:08:48 -0700] Continuing without the Authen::PAM perl module

maybe the problem. See complete log below. How do I solve this? Perhaps i need to enable PAM perl in the OS configuration?

cat miniserv.error
[06/Oct/2009:12:54:43 -0700] miniserv.pl started
[06/Oct/2009:12:54:43 -0700] Perl module Authen::PAM needed for PAM is not installed : Can’t locate Authen/PAM.pm in @INC (@INC contains: /usr/libexec/webmin /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .) at (eval 10) line 1.
BEGIN failed–compilation aborted at (eval 10) line 1.

[06/Oct/2009:12:54:43 -0700] Continuing without the Authen::PAM perl module
[06/Oct/2009:12:55:03 -0700] Reloading configuration
[06/Oct/2009:12:55:08 -0700] Reloading configuration
restarting miniserv
[06/Oct/2009:12:55:17 -0700] Restarting
[06/Oct/2009:12:55:17 -0700] miniserv.pl started
[06/Oct/2009:12:55:17 -0700] Perl module Authen::PAM needed for PAM is not installed : Can’t locate Authen/PAM.pm in @INC (@INC contains: /usr/libexec/webmin /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .) at (eval 10) line 1.
BEGIN failed–compilation aborted at (eval 10) line 1.

[06/Oct/2009:12:55:17 -0700] Continuing without the Authen::PAM perl module
Failed to initialize SSL connection
Failed to initialize SSL connection
[06/Oct/2009:13:08:48 -0700] miniserv.pl started
[06/Oct/2009:13:08:48 -0700] Perl module Authen::PAM needed for PAM is not installed : Can’t locate Authen/PAM.pm in @INC (@INC contains: /usr/libexec/webmin /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .) at (eval 10) line 1.
BEGIN failed–compilation aborted at (eval 10) line 1.

[06/Oct/2009:13:08:48 -0700] Continuing without the Authen::PAM perl module

Actually, all that looks good.

It shows you’ve got something listening on port 10000, and the message in the error log is harmless – that just means it’ll look in the /etc/shadow file instead.

What happens if you restart Webmin – running: /etc/init.d/webmin restart

Does that help?

And if not, what error do you see when you try to connect?

-Eric

I restarted webmin and still no connection.
The error is simply Network Timeout
Here is the install log.

cat virtualmin-install.log
INFO - 2009-10-06 12:50:31 - Started installation log in /root/virtualmin-install.log
DEBUG - 2009-10-06 12:50:31 - Install mode: full
DEBUG - 2009-10-06 12:50:31 - Product: Virtualmin GPL
DEBUG - 2009-10-06 12:50:32 - Virtualmin Meta-Package list: virtualmin-base
DEBUG - 2009-10-06 12:50:32 - install.sh version: 1.0.3
INFO - 2009-10-06 12:50:32 - Checking for fully qualified hostname…
INFO - 2009-10-06 12:50:32 - Hostname OK: fully qualified as asimov.sekurtec.net
INFO - 2009-10-06 12:50:32 - Installing serial number and license key into /etc/virtualmin-license
INFO - 2009-10-06 12:50:33 - Loading OS selection library…
INFO - 2009-10-06 12:50:33 - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - 2009-10-06 12:50:33 - Loading OS list…
INFO - 2009-10-06 12:50:33 - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - 2009-10-06 12:50:34 - Operating system name: CentOS Linux
INFO - 2009-10-06 12:50:34 - Operating system version: 5
INFO - 2009-10-06 12:50:34 - Configuring package manager for CentOS Linux 5…
INFO - 2009-10-06 12:50:34 - Disabling SELinux during installation…
DEBUG - 2009-10-06 12:50:35 - setenforce 0 succeeded
INFO - 2009-10-06 12:50:35 - Download of http://software.virtualmin.com/gpl/rhel/5/i386/virtualmin-release-latest.noarch.rpm Succeeded.
INFO - 2009-10-06 12:50:41 - Succeeded.
INFO - 2009-10-06 12:50:42 - Installing dependencies using command: /usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile

  • base: linux.mirrors.es.net
  • updates: mirror.stanford.edu
  • addons: centos.promopeddler.com
  • extras: mirrors.usc.edu
    Setting up Install Process
    Parsing package install arguments
    Package 30:bind-9.3.4-10.P1.el5_3.3.i386 already installed and latest version
    Package 30:bind-utils-9.3.4-10.P1.el5_3.3.i386 already installed and latest version
    Package 30:bind-9.3.4-10.P1.el5_3.3.i386 already installed and latest version
    Package spamassassin-3.2.5-1.el5.i386 already installed and latest version
    Package procmail-3.22-17.1.el5.centos.i386 already installed and latest version
    Package 1:quota-3.13-1.2.5.el5.i386 already installed and latest version
    Package iptables-1.3.5-4.el5.i386 already installed and latest version
    Package openssl-0.9.8e-12.el5.i686 already installed and latest version
    Package python-2.4.3-24.el5_3.6.i386 already installed and latest version
    Package mysql-5.0.77-3.el5.i386 already installed and latest version
    No package rh-postgresql available.
    No package rh-postgresql-server available.
    Package logrotate-3.7.4-9.i386 already installed and latest version
    Package webalizer-2.01_10-30.1.i386 already installed and latest version
    Package php-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    No package php-domxl available.
    Package mod_perl-2.0.4-6.el5.i386 already installed and latest version
    Package mod_python-3.2.8-3.1.i386 already installed and latest version
    Package cyrus-sasl-2.1.22-4.i386 already installed and latest version
    Package dovecot-1.0.7-7.el5.i386 already installed and latest version
    Package spamassassin-3.2.5-1.el5.i386 already installed and latest version
    Resolving Dependencies
    –> Running transaction check
    —> Package mysql-devel.i386 0:5.0.77-3.el5 set to be updated
    –> Processing Dependency: openssl-devel for package: mysql-devel
    —> Package mod_dav_svn.i386 0:1.4.2-4.el5_3.1 set to be updated
    —> Package perl-Crypt-SSLeay.i386 0:0.51-11.el5 set to be updated
    —> Package ruby.i386 0:1.8.5-5.el5_3.7 set to be updated
    –> Processing Dependency: ruby-libs = 1.8.5-5.el5_3.7 for package: ruby
    –> Processing Dependency: libruby.so.1.8 for package: ruby
    —> Package mysql-server.i386 0:5.0.77-3.el5 set to be updated
    —> Package mailman.i386 3:2.1.9-4.el5 set to be updated
    —> Package rubygems.noarch 0:0.9.2-1.el5 set to be updated
    –> Processing Dependency: ruby-rdoc for package: rubygems
    —> Package postgresql-server.i386 0:8.1.11-1.el5_1.1 set to be updated
    —> Package httpd.i386 1:2.2.3-22.el5.1vm set to be updated
    —> Package cyrus-sasl-gssapi.i386 0:2.1.22-4 set to be updated
    —> Package postgresql.i386 0:8.1.11-1.el5_1.1 set to be updated
    —> Package perl-DBD-Pg.i386 0:1.49-2.el5_3.1 set to be updated
    –> Processing Dependency: httpd = 2.2.3-22.el5.centos.2 for package: httpd-manual
    —> Package php-pear.noarch 1:1.8.0-1.el5.vm set to be updated
    —> Package php-odbc.i386 0:5.2.11-1.el5.vmbleed set to be updated
    –> Processing Dependency: php-pdo for package: php-odbc
    –> Processing Dependency: libodbcpsql.so.2 for package: php-odbc
    –> Processing Dependency: libodbc.so.1 for package: php-odbc
    —> Package php-xmlrpc.i386 0:5.2.11-1.el5.vmbleed set to be updated
    —> Package php-pgsql.i386 0:5.2.11-1.el5.vmbleed set to be updated
    —> Package php-mbstring.i386 0:5.2.11-1.el5.vmbleed set to be updated
    —> Package subversion.i386 0:1.4.2-4.el5_3.1 set to be updated
    —> Package perl-XML-Simple.noarch 0:2.14-4.fc6 set to be updated
    –> Processing Dependency: perl(XML::Parser) for package: perl-XML-Simple
    —> Package php-imap.i386 0:5.2.11-1.el5.vmbleed set to be updated
    –> Processing Dependency: libc-client.so.1 for package: php-imap
    —> Package php-gd.i386 0:5.2.11-1.el5.vmbleed set to be updated
    —> Package perl-DBD-MySQL.i386 0:3.0007-2.el5 set to be updated
    —> Package php-mysql.i386 0:5.2.11-1.el5.vmbleed set to be updated
    —> Package mod_ssl.i386 2:2.2.3-22.el5.1vm set to be updated
    —> Package caching-nameserver.i386 30:9.3.4-10.P1.el5_3.3 set to be updated
    —> Package php-snmp.i386 0:5.2.11-1.el5.vmbleed set to be updated
    –> Processing Dependency: libnetsnmp.so.10 for package: php-snmp
    –> Processing Dependency: net-snmp for package: php-snmp
    —> Package postfix.i386 2:2.3.3-2.1.el5_2 set to be updated
    —> Package ruby-devel.i386 0:1.8.5-5.el5_3.7 set to be updated
    –> Running transaction check
    —> Package httpd-manual.i386 1:2.2.3-22.el5.1vm set to be updated
    —> Package php-pdo.i386 0:5.2.11-1.el5.vmbleed set to be updated
    —> Package ruby-libs.i386 0:1.8.5-5.el5_3.7 set to be updated
    —> Package ruby-rdoc.i386 0:1.8.5-5.el5_3.7 set to be updated
    –> Processing Dependency: ruby-irb = 1.8.5-5.el5_3.7 for package: ruby-rdoc
    —> Package openssl-devel.i386 0:0.9.8e-12.el5 set to be updated
    –> Processing Dependency: zlib-devel for package: openssl-devel
    –> Processing Dependency: krb5-devel for package: openssl-devel
    —> Package net-snmp.i386 1:5.3.2.2-5.el5_3.2 set to be updated
    –> Processing Dependency: libsensors.so.3 for package: net-snmp
    —> Package perl-XML-Parser.i386 0:2.34-6.1.2.2.1 set to be updated
    —> Package unixODBC.i386 0:2.2.11-7.1 set to be updated
    —> Package net-snmp-libs.i386 1:5.3.2.2-5.el5_3.2 set to be updated
    —> Package libc-client.i386 0:2004g-2.2.1 set to be updated
    –> Running transaction check
    —> Package zlib-devel.i386 0:1.2.3-3 set to be updated
    —> Package krb5-devel.i386 0:1.6.1-31.el5_3.3 set to be updated
    –> Processing Dependency: keyutils-libs-devel for package: krb5-devel
    –> Processing Dependency: libselinux-devel for package: krb5-devel
    –> Processing Dependency: e2fsprogs-devel for package: krb5-devel
    —> Package ruby-irb.i386 0:1.8.5-5.el5_3.7 set to be updated
    —> Package lm_sensors.i386 0:2.10.7-4.el5 set to be updated
    –> Running transaction check
    —> Package libselinux-devel.i386 0:1.33.4-5.1.el5 set to be updated
    –> Processing Dependency: libsepol-devel >= 1.15.2-1 for package: libselinux-devel
    —> Package e2fsprogs-devel.i386 0:1.39-20.el5 set to be updated
    —> Package keyutils-libs-devel.i386 0:1.2-1.el5 set to be updated
    –> Running transaction check
    —> Package libsepol-devel.i386 0:1.15.2-1.el5 set to be updated
    –> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size

Installing:
caching-nameserver i386 30:9.3.4-10.P1.el5_3.3 updates 59 k
cyrus-sasl-gssapi i386 2.1.22-4 base 28 k
mailman i386 3:2.1.9-4.el5 base 9.7 M
mod_dav_svn i386 1.4.2-4.el5_3.1 updates 70 k
mysql-devel i386 5.0.77-3.el5 updates 2.4 M
mysql-server i386 5.0.77-3.el5 updates 9.8 M
perl-Crypt-SSLeay i386 0.51-11.el5 base 45 k
perl-DBD-MySQL i386 3.0007-2.el5 base 148 k
perl-DBD-Pg i386 1.49-2.el5_3.1 updates 114 k
perl-XML-Simple noarch 2.14-4.fc6 base 68 k
php-gd i386 5.2.11-1.el5.vmbleed virtualmin-bleed 112 k
php-imap i386 5.2.11-1.el5.vmbleed virtualmin-bleed 49 k
php-mbstring i386 5.2.11-1.el5.vmbleed virtualmin-bleed 1.1 M
php-mysql i386 5.2.11-1.el5.vmbleed virtualmin-bleed 79 k
php-odbc i386 5.2.11-1.el5.vmbleed virtualmin-bleed 48 k
php-pear noarch 1:1.8.0-1.el5.vm virtualmin-bleed 396 k
php-pgsql i386 5.2.11-1.el5.vmbleed virtualmin-bleed 65 k
php-snmp i386 5.2.11-1.el5.vmbleed virtualmin-bleed 24 k
php-xmlrpc i386 5.2.11-1.el5.vmbleed virtualmin-bleed 51 k
postfix i386 2:2.3.3-2.1.el5_2 base 3.6 M
postgresql i386 8.1.11-1.el5_1.1 base 2.9 M
postgresql-server i386 8.1.11-1.el5_1.1 base 3.9 M
ruby i386 1.8.5-5.el5_3.7 updates 274 k
ruby-devel i386 1.8.5-5.el5_3.7 updates 555 k
rubygems noarch 0.9.2-1.el5 virtualmin 497 k
subversion i386 1.4.2-4.el5_3.1 updates 2.3 M
Updating:
httpd i386 1:2.2.3-22.el5.1vm virtualmin 1.2 M
httpd-manual i386 1:2.2.3-22.el5.1vm virtualmin 810 k
mod_ssl i386 2:2.2.3-22.el5.1vm virtualmin 87 k
Installing for dependencies:
e2fsprogs-devel i386 1.39-20.el5 base 572 k
keyutils-libs-devel i386 1.2-1.el5 base 27 k
krb5-devel i386 1.6.1-31.el5_3.3 updates 1.8 M
libc-client i386 2004g-2.2.1 base 516 k
libselinux-devel i386 1.33.4-5.1.el5 base 143 k
libsepol-devel i386 1.15.2-1.el5 base 189 k
lm_sensors i386 2.10.7-4.el5 base 513 k
net-snmp i386 1:5.3.2.2-5.el5_3.2 updates 695 k
net-snmp-libs i386 1:5.3.2.2-5.el5_3.2 updates 1.2 M
openssl-devel i386 0.9.8e-12.el5 updates 1.9 M
perl-XML-Parser i386 2.34-6.1.2.2.1 base 210 k
php-pdo i386 5.2.11-1.el5.vmbleed virtualmin-bleed 61 k
ruby-irb i386 1.8.5-5.el5_3.7 updates 68 k
ruby-libs i386 1.8.5-5.el5_3.7 updates 1.6 M
ruby-rdoc i386 1.8.5-5.el5_3.7 updates 134 k
unixODBC i386 2.2.11-7.1 base 832 k
zlib-devel i386 1.2.3-3 base 101 k

Transaction Summary

Install 43 Package(s)
Update 3 Package(s)
Remove 0 Package(s)

Total download size: 51 M
Downloading Packages:

Total 2.6 MB/s | 51 MB 00:19
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : httpd [ 1/49]
Installing : ruby-libs [ 2/49]
Installing : php-pdo [ 3/49]
Installing : ruby [ 4/49]
Installing : net-snmp-libs [ 5/49]
Installing : subversion [ 6/49]
Installing : libc-client [ 7/49]
Installing : unixODBC [ 8/49]
Installing : postgresql [ 9/49]
Installing : perl-DBD-MySQL [10/49]
Installing : lm_sensors [11/49]
Installing : net-snmp [12/49]
Installing : perl-XML-Parser [13/49]
Installing : ruby-irb [14/49]
Installing : ruby-rdoc [15/49]
Installing : libsepol-devel [16/49]
Installing : libselinux-devel [17/49]
Installing : zlib-devel [18/49]
Installing : e2fsprogs-devel [19/49]
Installing : keyutils-libs-devel [20/49]
Installing : krb5-devel [21/49]
Installing : php-snmp [22/49]
Installing : mysql-server [23/49]
Installing : postgresql-server [24/49]
Installing : php-odbc [25/49]
Installing : php-imap [26/49]
Installing : mod_dav_svn [27/49]
Installing : php-pgsql [28/49]
Installing : php-mysql [29/49]
Updating : mod_ssl [30/49]
Installing : mailman [31/49]
Installing : cyrus-sasl-gssapi [32/49]
Installing : perl-DBD-Pg [33/49]
Installing : php-mbstring [34/49]
Installing : php-gd [35/49]
Installing : postfix [36/49]
Installing : php-xmlrpc [37/49]
Installing : perl-Crypt-SSLeay [38/49]
Installing : openssl-devel [39/49]
Installing : rubygems [40/49]
Installing : perl-XML-Simple [41/49]
Updating : httpd-manual [42/49]
Installing : php-pear [43/49]
Installing : mysql-devel [44/49]
Installing : caching-nameserver [45/49]
Installing : ruby-devel [46/49]
Cleanup : mod_ssl [47/49]
Cleanup : httpd [48/49]
Cleanup : httpd-manual [49/49]

Installed: caching-nameserver.i386 30:9.3.4-10.P1.el5_3.3 cyrus-sasl-gssapi.i386 0:2.1.22-4 mailman.i386 3:2.1.9-4.el5 mod_dav_svn.i386 0:1.4.2-4.el5_3.1 mysql-devel.i386 0:5.0.77-3.el5 mysql-server.i386 0:5.0.77-3.el5 perl-Crypt-SSLeay.i386 0:0.51-11.el5 perl-DBD-MySQL.i386 0:3.0007-2.el5 perl-DBD-Pg.i386 0:1.49-2.el5_3.1 perl-XML-Simple.noarch 0:2.14-4.fc6 php-gd.i386 0:5.2.11-1.el5.vmbleed php-imap.i386 0:5.2.11-1.el5.vmbleed php-mbstring.i386 0:5.2.11-1.el5.vmbleed php-mysql.i386 0:5.2.11-1.el5.vmbleed php-odbc.i386 0:5.2.11-1.el5.vmbleed php-pear.noarch 1:1.8.0-1.el5.vm php-pgsql.i386 0:5.2.11-1.el5.vmbleed php-snmp.i386 0:5.2.11-1.el5.vmbleed php-xmlrpc.i386 0:5.2.11-1.el5.vmbleed postfix.i386 2:2.3.3-2.1.el5_2 postgresql.i386 0:8.1.11-1.el5_1.1 postgresql-server.i386 0:8.1.11-1.el5_1.1 ruby.i386 0:1.8.5-5.el5_3.7 ruby-devel.i386 0:1.8.5-5.el5_3.7 rubygems.noarch 0:0.9.2-1.el5 subversion.i386 0:1.4.2-4.el5_3.1
Dependency Installed: e2fsprogs-devel.i386 0:1.39-20.el5 keyutils-libs-devel.i386 0:1.2-1.el5 krb5-devel.i386 0:1.6.1-31.el5_3.3 libc-client.i386 0:2004g-2.2.1 libselinux-devel.i386 0:1.33.4-5.1.el5 libsepol-devel.i386 0:1.15.2-1.el5 lm_sensors.i386 0:2.10.7-4.el5 net-snmp.i386 1:5.3.2.2-5.el5_3.2 net-snmp-libs.i386 1:5.3.2.2-5.el5_3.2 openssl-devel.i386 0:0.9.8e-12.el5 perl-XML-Parser.i386 0:2.34-6.1.2.2.1 php-pdo.i386 0:5.2.11-1.el5.vmbleed ruby-irb.i386 0:1.8.5-5.el5_3.7 ruby-libs.i386 0:1.8.5-5.el5_3.7 ruby-rdoc.i386 0:1.8.5-5.el5_3.7 unixODBC.i386 0:2.2.11-7.1 zlib-devel.i386 0:1.2.3-3
Updated: httpd.i386 1:2.2.3-22.el5.1vm httpd-manual.i386 1:2.2.3-22.el5.1vm mod_ssl.i386 2:2.2.3-22.el5.1vm
Complete!
INFO - 2009-10-06 12:51:46 - /usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay: Succeeded.
INFO - 2009-10-06 12:51:47 - Succeeded.
INFO - 2009-10-06 12:51:47 - Installing Virtualmin and all related packages now using the command:
INFO - 2009-10-06 12:51:47 - yum -y -d 2 install virtualmin-base
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile

  • base: linux.mirrors.es.net
  • updates: mirror.stanford.edu
  • addons: centos.promopeddler.com
  • extras: mirrors.usc.edu
    Setting up Install Process
    Parsing package install arguments
    Resolving Dependencies
    –> Running transaction check
    —> Package virtualmin-base.noarch 0:1.0-61.rh set to be updated
    –> Processing Dependency: usermin >= 1.160 for package: virtualmin-base
    –> Processing Dependency: webmin >= 1.334 for package: virtualmin-base
    –> Processing Dependency: wbt-virtual-server-mobile for package: virtualmin-base
    –> Processing Dependency: wbm-virtualmin-svn for package: virtualmin-base
    –> Processing Dependency: wbm-virtualmin-init for package: virtualmin-base
    –> Processing Dependency: scponly for package: virtualmin-base
    –> Processing Dependency: clamav for package: virtualmin-base
    –> Processing Dependency: wbm-virtualmin-dav for package: virtualmin-base
    –> Processing Dependency: proftpd for package: virtualmin-base
    –> Processing Dependency: wbm-virtualmin-htpasswd for package: virtualmin-base
    –> Processing Dependency: wbm-virtualmin-mailman for package: virtualmin-base
    –> Processing Dependency: procmail-wrapper for package: virtualmin-base
    –> Processing Dependency: /usr/bin/freshclam for package: virtualmin-base
    –> Processing Dependency: wbm-security-updates for package: virtualmin-base
    –> Processing Dependency: wbm-php-pear for package: virtualmin-base
    –> Processing Dependency: wbt-virtual-server-theme for package: virtualmin-base
    –> Processing Dependency: wbm-virtualmin-awstats for package: virtualmin-base
    –> Processing Dependency: cyrus-sasl-md5 for package: virtualmin-base
    –> Processing Dependency: mod_fcgid for package: virtualmin-base
    –> Processing Dependency: wbm-virtualmin-registrar for package: virtualmin-base
    –> Processing Dependency: /usr/sbin/clamd for package: virtualmin-base
    –> Processing Dependency: wbm-virtual-server for package: virtualmin-base
    –> Processing Dependency: awstats for package: virtualmin-base
    –> Processing Dependency: ust-virtual-server-theme for package: virtualmin-base
    –> Processing Dependency: wbm-ruby-gems for package: virtualmin-base
    –> Running transaction check
    —> Package clamav-server.i386 0:0.95.2-1.vm.el5 set to be updated
    –> Processing Dependency: clamav-filesystem = 0.95.2-1.vm.el5 for package: clamav-server
    –> Processing Dependency: clamav-lib = 0.95.2-1.vm.el5 for package: clamav-server
    –> Processing Dependency: libclamav.so.6 for package: clamav-server
    –> Processing Dependency: libclamav.so.6(CLAMAV_PRIVATE) for package: clamav-server
    –> Processing Dependency: data(clamav) for package: clamav-server
    –> Processing Dependency: init(clamav-server) for package: clamav-server
    –> Processing Dependency: libclamav.so.6(CLAMAV_PUBLIC) for package: clamav-server
    —> Package wbm-virtualmin-awstats.noarch 2:4.2-1 set to be updated
    —> Package proftpd.i386 0:1.3.0a-3.el4 set to be updated
    —> Package wbm-security-updates.noarch 2:3.5-1 set to be updated
    —> Package wbm-virtualmin-init.noarch 2:2.1-1 set to be updated
    —> Package wbt-virtual-server-mobile.noarch 2:2.3-1 set to be updated
    —> Package scponly.i386 0:4.6-1.vm set to be updated
    —> Package wbm-virtualmin-htpasswd.noarch 2:2.3-1 set to be updated
    —> Package ust-virtual-server-theme.noarch 2:6.9-1 set to be updated
    —> Package wbm-virtualmin-mailman.noarch 2:5.7-1 set to be updated
    —> Package awstats.noarch 0:6.8-1.el5 set to be updated
    —> Package mod_fcgid.i386 0:2.2-1.el5.vm set to be updated
    —> Package clamav-update.i386 0:0.95.2-1.vm.el5 set to be updated
    —> Package wbm-virtualmin-registrar.noarch 2:2.0-1 set to be updated
    —> Package usermin.noarch 0:1.420-1 set to be updated
    —> Package webmin.noarch 0:1.490-1 set to be updated
    —> Package wbm-virtual-server.noarch 0:3.73.gpl-1 set to be updated
    —> Package wbm-ruby-gems.noarch 2:1.4-1 set to be updated
    —> Package wbt-virtual-server-theme.noarch 2:7.4-1 set to be updated
    —> Package wbm-virtualmin-dav.noarch 2:3.3-1 set to be updated
    —> Package procmail-wrapper.i386 0:1.0-1.vm set to be updated
    —> Package clamav.i386 0:0.95.2-1.vm.el5 set to be updated
    —> Package wbm-php-pear.noarch 2:1.5-1 set to be updated
    —> Package cyrus-sasl-md5.i386 0:2.1.22-4 set to be updated
    —> Package wbm-virtualmin-svn.noarch 2:4.6-1 set to be updated
    –> Running transaction check
    —> Package clamav-data.i386 0:0.95.2-1.vm.el5 set to be updated
    —> Package clamav-server-sysv.i386 0:0.95.2-1.vm.el5 set to be updated
    —> Package clamav-lib.i386 0:0.95.2-1.vm.el5 set to be updated
    —> Package clamav-filesystem.i386 0:0.95.2-1.vm.el5 set to be updated
    –> Processing Dependency: fedora-usermgmt for package: clamav-filesystem
    –> Running transaction check
    —> Package fedora-usermgmt.noarch 0:0.9-1.el5 set to be updated
    –> Processing Dependency: fedora-usermgmt-core = 0.9-1.el5 for package: fedora-usermgmt
    –> Processing Dependency: instance(fedora-usermgmt) for package: fedora-usermgmt
    –> Processing Dependency: setup(fedora-usermgmt) for package: fedora-usermgmt
    –> Running transaction check
    —> Package fedora-usermgmt-core.noarch 0:0.9-1.el5 set to be updated
    —> Package fedora-usermgmt-shadow-utils.noarch 0:0.9-1.el5 set to be updated
    —> Package fedora-usermgmt-default-fedora-setup.noarch 0:0.9-1.el5 set to be updated
    –> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size

Installing:
virtualmin-base noarch 1.0-61.rh virtualmin 27 k
Installing for dependencies:
awstats noarch 6.8-1.el5 virtualmin 1.2 M
clamav i386 0.95.2-1.vm.el5 virtualmin 820 k
clamav-data i386 0.95.2-1.vm.el5 virtualmin 21 M
clamav-filesystem i386 0.95.2-1.vm.el5 virtualmin 18 k
clamav-lib i386 0.95.2-1.vm.el5 virtualmin 379 k
clamav-server i386 0.95.2-1.vm.el5 virtualmin 87 k
clamav-server-sysv i386 0.95.2-1.vm.el5 virtualmin 18 k
clamav-update i386 0.95.2-1.vm.el5 virtualmin 78 k
cyrus-sasl-md5 i386 2.1.22-4 base 45 k
fedora-usermgmt noarch 0.9-1.el5 virtualmin 6.7 k
fedora-usermgmt-core noarch 0.9-1.el5 virtualmin 7.7 k
fedora-usermgmt-default-fedora-setup
noarch 0.9-1.el5 virtualmin 6.6 k
fedora-usermgmt-shadow-utils noarch 0.9-1.el5 virtualmin 7.4 k
mod_fcgid i386 2.2-1.el5.vm virtualmin 120 k
procmail-wrapper i386 1.0-1.vm virtualmin 4.6 k
proftpd i386 1.3.0a-3.el4 virtualmin 1.0 M
scponly i386 4.6-1.vm virtualmin 24 k
usermin noarch 1.420-1 virtualmin-universal 5.9 M
ust-virtual-server-theme noarch 2:6.9-1 virtualmin-universal 2.2 M
wbm-php-pear noarch 2:1.5-1 virtualmin-universal 14 k
wbm-ruby-gems noarch 2:1.4-1 virtualmin-universal 14 k
wbm-security-updates noarch 2:3.5-1 virtualmin-universal 30 k
wbm-virtual-server noarch 3.73.gpl-1 virtualmin-universal 1.4 M
wbm-virtualmin-awstats noarch 2:4.2-1 virtualmin-universal 32 k
wbm-virtualmin-dav noarch 2:3.3-1 virtualmin-universal 18 k
wbm-virtualmin-htpasswd noarch 2:2.3-1 virtualmin-universal 17 k
wbm-virtualmin-init noarch 2:2.1-1 virtualmin-universal 23 k
wbm-virtualmin-mailman noarch 2:5.7-1 virtualmin-universal 40 k
wbm-virtualmin-registrar noarch 2:2.0-1 virtualmin-universal 58 k
wbm-virtualmin-svn noarch 2:4.6-1 virtualmin-universal 43 k
wbt-virtual-server-mobile noarch 2:2.3-1 virtualmin-universal 69 k
wbt-virtual-server-theme noarch 2:7.4-1 virtualmin-universal 2.2 M
webmin noarch 1.490-1 virtualmin-universal 15 M

Transaction Summary

Install 34 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 52 M
Downloading Packages:

Total 420 kB/s | 52 MB 02:05
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Operating system is CentOS Linux
Installing : webmin [ 1/34]Webmin install complete. You can now login to https://asimov.sekurtec.net:10000/
as root with your root password.

Installing : proftpd [ 2/34]
Installing : cyrus-sasl-md5 [ 3/34]
Installing : scponly [ 4/34]
Installing : procmail-wrapper [ 5/34]
Installing : mod_fcgid [ 6/34]
Installing : wbm-virtual-server [ 7/34]virtual-server
Operating system is CentOS Linux

Installing : usermin [ 8/34]Usermin install complete. You can now login to https://asimov.sekurtec.net:20000/
as any user on your system.

Installing : ust-virtual-server-theme [ 9/34]
Installing : wbm-virtualmin-dav [10/34]virtualmin-dav

Installing : wbm-virtualmin-awstats [11/34]virtualmin-awstats

Installing : wbm-virtualmin-svn [12/34]virtualmin-svn

Installing : wbm-virtualmin-mailman [13/34]virtualmin-mailman

Installing : wbm-virtualmin-registrar [14/34]virtualmin-registrar

Installing : wbm-virtualmin-htpasswd [15/34]virtualmin-htpasswd

Installing : wbm-ruby-gems [16/34]ruby-gems

Installing : wbm-security-updates [17/34]security-updates

Installing : wbt-virtual-server-mobile [18/34]
Installing : wbm-virtualmin-init [19/34]virtualmin-init

Installing : wbm-php-pear [20/34]php-pear

Installing : wbt-virtual-server-theme [21/34]
Installing : awstats [22/34]
Installing : fedora-usermgmt-default-fedora-setup [23/34]
Installing : fedora-usermgmt-core [24/34]
Installing : clamav-server-sysv [25/34]
Installing : fedora-usermgmt-shadow-utils [26/34]
Installing : fedora-usermgmt [27/34]
Installing : clamav-filesystem [28/34]
Installing : clamav-data [29/34]
Installing : clamav-lib [30/34]
Installing : clamav-server [31/34]
Installing : clamav-update [32/34]
Installing : clamav [33/34]
Installing : virtualmin-base [34/34]Setting Webmin theme
Setting Usermin theme
Configuring Postfix
Enabling Postfix and disabling Sendmail
Setting up freshclam
ClamAV update process started at Tue Oct 6 12:55:30 2009
main.cvd is up to date (version: 51, sigs: 545035, f-level: 42, builder: sven)
Downloading daily.cvd [100%]
daily.cvd updated (version: 9867, sigs: 81257, f-level: 43, builder: mcichosz)
Database updated (626292 signatures) from database.clamav.net (IP: 193.1.193.64)
Configuring Dovecot for POP3 and IMAP
Enabling Dovecot POP3 and IMAP servers
Enabling ProFTPd
Starting proftpd: [ OK ]
Enabling SMTP authentication
Starting saslauthd: [ OK ]
Configuring Virtualmin
Configuring Procmail
Configuring Webalizer
Updating /etc/shells
Enabling MySQL and PostgreSQL
Enabling Apache
Configuring and enabling BIND
Configuring resolv.conf to use local DNS server
Configuring and enabling Mailman
Enabling status monitoring
Hiding the Webmin upgrade page
Error occurred hiding Webmin upgrade page:
convertquota: Quota file not found or has wrong format.
convertquota: Can’t open old format file for users on /
Configuring firewall rules
Allowing traffic on TCP port: ssh
Allowing traffic on TCP port: smtp
Allowing traffic on TCP port: domain
Allowing traffic on TCP port: ftp
Allowing traffic on TCP port: ftp-data
Allowing traffic on TCP port: pop3
Allowing traffic on TCP port: pop3s
Allowing traffic on TCP port: imap
Allowing traffic on TCP port: imaps
Allowing traffic on TCP port: http
Allowing traffic on TCP port: https
Allowing traffic on TCP port: 10000
Allowing traffic on TCP port: 20000
Allowing traffic on UDP port: domain
Allowing traffic on UDP port: ftp
Allowing traffic on UDP port: ftp-data
Re-checking supported Webmin modules

Installed: virtualmin-base.noarch 0:1.0-61.rh
Dependency Installed: awstats.noarch 0:6.8-1.el5 clamav.i386 0:0.95.2-1.vm.el5 clamav-data.i386 0:0.95.2-1.vm.el5 clamav-filesystem.i386 0:0.95.2-1.vm.el5 clamav-lib.i386 0:0.95.2-1.vm.el5 clamav-server.i386 0:0.95.2-1.vm.el5 clamav-server-sysv.i386 0:0.95.2-1.vm.el5 clamav-update.i386 0:0.95.2-1.vm.el5 cyrus-sasl-md5.i386 0:2.1.22-4 fedora-usermgmt.noarch 0:0.9-1.el5 fedora-usermgmt-core.noarch 0:0.9-1.el5 fedora-usermgmt-default-fedora-setup.noarch 0:0.9-1.el5 fedora-usermgmt-shadow-utils.noarch 0:0.9-1.el5 mod_fcgid.i386 0:2.2-1.el5.vm procmail-wrapper.i386 0:1.0-1.vm proftpd.i386 0:1.3.0a-3.el4 scponly.i386 0:4.6-1.vm usermin.noarch 0:1.420-1 ust-virtual-server-theme.noarch 2:6.9-1 wbm-php-pear.noarch 2:1.5-1 wbm-ruby-gems.noarch 2:1.4-1 wbm-security-updates.noarch 2:3.5-1 wbm-virtual-server.noarch 0:3.73.gpl-1 wbm-virtualmin-awstats.noarch 2:4.2-1 wbm-virtualmin-dav.noarch 2:3.3-1 wbm-virtualmin-htpasswd.noarch 2:2.3-1 wbm-virtualmin-init.noarch 2:2.1-1 wbm-virtualmin-mailman.noarch 2:5.7-1 wbm-virtualmin-registrar.noarch 2:2.0-1 wbm-virtualmin-svn.noarch 2:4.6-1 wbt-virtual-server-mobile.noarch 2:2.3-1 wbt-virtual-server-theme.noarch 2:7.4-1 webmin.noarch 0:1.490-1
Complete!
INFO - 2009-10-06 12:56:40 - yum -y -d 2 install virtualmin-base: Succeeded.
INFO - 2009-10-06 12:56:40 - Checking for updates to Virtualmin-related packages…
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile

  • base: linux.mirrors.es.net
  • updates: mirror.stanford.edu
  • addons: centos.promopeddler.com
  • extras: mirrors.usc.edu
    Setting up Install Process
    Parsing package install arguments
    Package 30:bind-9.3.4-10.P1.el5_3.3.i386 already installed and latest version
    Package 30:bind-utils-9.3.4-10.P1.el5_3.3.i386 already installed and latest version
    Package 30:caching-nameserver-9.3.4-10.P1.el5_3.3.i386 already installed and latest version
    Package 1:httpd-2.2.3-22.el5.1vm.i386 already installed and latest version
    Package 2:postfix-2.3.3-2.1.el5_2.i386 already installed and latest version
    Package 30:bind-9.3.4-10.P1.el5_3.3.i386 already installed and latest version
    Package spamassassin-3.2.5-1.el5.i386 already installed and latest version
    Package procmail-3.22-17.1.el5.centos.i386 already installed and latest version
    Package perl-DBD-Pg-1.49-2.el5_3.1.i386 already installed and latest version
    Package perl-DBD-MySQL-3.0007-2.el5.i386 already installed and latest version
    Package 1:quota-3.13-1.2.5.el5.i386 already installed and latest version
    Package iptables-1.3.5-4.el5.i386 already installed and latest version
    Package openssl-0.9.8e-12.el5.i686 already installed and latest version
    Package python-2.4.3-24.el5_3.6.i386 already installed and latest version
    Package 3:mailman-2.1.9-4.el5.i386 already installed and latest version
    Package subversion-1.4.2-4.el5_3.1.i386 already installed and latest version
    Package mysql-5.0.77-3.el5.i386 already installed and latest version
    Package mysql-server-5.0.77-3.el5.i386 already installed and latest version
    Package mysql-devel-5.0.77-3.el5.i386 already installed and latest version
    Package postgresql-8.1.11-1.el5_1.1.i386 already installed and latest version
    Package postgresql-server-8.1.11-1.el5_1.1.i386 already installed and latest version
    No package rh-postgresql available.
    No package rh-postgresql-server available.
    Package logrotate-3.7.4-9.i386 already installed and latest version
    Package webalizer-2.01_10-30.1.i386 already installed and latest version
    Package php-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    No package php-domxl available.
    Package php-gd-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    Package php-imap-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    Package php-mysql-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    Package php-odbc-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    Package 1:php-pear-1.8.0-1.el5.vm.noarch already installed and latest version
    Package php-pgsql-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    Package php-snmp-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    Package php-xmlrpc-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    Package php-mbstring-5.2.11-1.el5.vmbleed.i386 already installed and latest version
    Package mod_perl-2.0.4-6.el5.i386 already installed and latest version
    Package mod_python-3.2.8-3.1.i386 already installed and latest version
    Package cyrus-sasl-2.1.22-4.i386 already installed and latest version
    Package dovecot-1.0.7-7.el5.i386 already installed and latest version
    Package spamassassin-3.2.5-1.el5.i386 already installed and latest version
    Package mod_dav_svn-1.4.2-4.el5_3.1.i386 already installed and latest version
    Package cyrus-sasl-gssapi-2.1.22-4.i386 already installed and latest version
    Package 2:mod_ssl-2.2.3-22.el5.1vm.i386 already installed and latest version
    Package ruby-1.8.5-5.el5_3.7.i386 already installed and latest version
    Package ruby-devel-1.8.5-5.el5_3.7.i386 already installed and latest version
    Package rubygems-0.9.2-1.el5.noarch already installed and latest version
    Package perl-XML-Simple-2.14-4.fc6.noarch already installed and latest version
    Package perl-Crypt-SSLeay-0.51-11.el5.i386 already installed and latest version
    Nothing to do
    INFO - 2009-10-06 12:56:52 - /usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay: Succeeded.

Well, at a glance, I don’t see any errors – however, it’s kind of hard to tell, can you attach that as a file rather than pasting in the contents?

Also, what happens if you log in via SSH, and use a tool like links to connect – you can run:

links http://localhost:10000

That’s just a test to see if it works when run locally.

-Eric

The links tool allows me to get to a login screen webmin. What does this mean?

It looks like a DNS issue – it’s not able to resolve “asimov.sekurtec.net”.

Make sure you have a DNS entry setup for that.

In the meantime, try accessing your server via it’s IP address.

-Eric

IP does not work either. However, I have been trying all along with the IP just to make sure

However, www.sekurtec.net resolves to the correct ip address and http: server no problem.

Well, the fact that it works locally using links tells me that Webmin/Virtualmin is working.

The symptoms seem to point to some form of network problem at the moment.

Is your server perhaps running behind a router at the moment that doesn’t have port 10000 forwarded?

-Eric

ok I will call my datacenter tomorrow and make sure everything is clear on the network.

you can connect to
https://253-15.84.64.master-link.com:10000

dns isn’t correct. asimov doesn’t exist.

Port 10000 showed open on nmap, but was still closed/firewall. I sent the request for the datacenter to open 10000 a day before the install but found out they never carried out my request and so the port was blocked.

Thanks for all your help Eric. I would like not have checked with them again and just assumed they had followed through. The result would have been several more days of frustration and then perhaps giving up. So your last suggestion really made a difference.Thanks again, Techmen